package CTL;

/** Structure which holds some global CTL4j compile time settings. */
public class Globals
{
	/** Default logfile verboseness level */
	//public static int LogLevel = Logger.ALL;
	public static int LogLevel = Logger.INFO;
	/** Whether or not to log the method printing a certain log message */
	public static boolean LogScope = false;
	/** How far up the stack trace should be wrote to the logfile */
	public static int LogScopeDepth = 1;
	/** Whether or not to append a timestamp to logfile names */
	public static boolean LogTimeStamp = false;
	/** Throw an exception if a writer got no data */
	public final static boolean NullExcept = true;
	/** Provide a kernel trace of invoked processes */
	public final static boolean GetTrace = false;
	/** Wait for continuous messages in debug-mode */
	public final static boolean doWait = true;
	/** Log hexdumps of messages */
	public final static boolean HexDump = false;
	/** Whether or not to be verbose */
	public final static boolean verbose = false;
}
