package Example;

import CTL.*;
import CTL.Types.*;
import javaSys.*;

import java.util.*;

// TODO: Pretty slow
// TODO: Does not work properly for workers > 1
public class Client14
{
	private final static boolean no_rr = false;

	public static int iterations = 100000000;
	public static int step = 100000;

	public static void main (String[] args)
	{
		CTL.Timer t = new CTL.Timer();
		CTL.Timer t_init = new CTL.Timer();

		int iter = 0;
		double w = 1.0 / iterations, sum = 0;

		LinkedList<Location> locs = Location.parseFile("locs.txt");
		CTL.Process[] proc = new CTL.Process[locs.size()];
		for (int i = 0; i < locs.size(); i++)
			proc[i] = new CTL.Process(locs.get(i));
		rResult[] res = new rResult[locs.size()];
		//PiSimpleCI[] worker = new PiSimple[locs.size()];
		t_init.stop();
		
		for (int i = 0; i < iterations; i+=step)
		{
			boolean spawned = false;
	
			while (!spawned)
			{
				for (int j = 0; j < locs.size(); j++)
				{
					if (locs.get(j).isLocal() || no_rr)
					{
						PiSimpleCI.use(proc[j]);
						sum += PiSimpleCI.calc(w, i, step);
						spawned = true;
						iter += step;
						continue;
					}
					
					if (res[j] == null)
					{
						if (!spawned)
						{
							PiSimpleCI.use(proc[j]);
							res[j] = PiSimpleCI.calc_rr(w, i, step);
							spawned = true;
						}
					}
					else
					{
						if (res[j].received())
						{
							sum += res[j].doubleValue(res[j].length()-1);
							res[j] = null;
							iter += step;
						}
					}
				}
			}
		}

		for (int i = 0; i < locs.size(); i++)
		{
			if (res[i] != null)
			{
				while (!res[i].received());
				sum += res[i].doubleValue(res[i].length()-1);
				iter += step;
			}
		}

		sum = w*sum;
		t.stop();
		System.out.println("Pi = "+sum+"\t("+t+" sec [init: "+
			t_init+"]; "+iter+" iterations)");
	}
}
