package Example;

import CTL.*;
import CTL.Types.*;
import javaSys.*;

/** Sample client for testing rResult functionality */
public class Client2 
{
	public static void main (String args[])
	{
		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc);
			MatheCI.use(proc);
		
			MatheCI mathe_ri = new MatheCI();
		
			rResult res = mathe_ri.add_rr(4, 5);
		
			if (res==null)
				System.out.println("No rResult!");
			else
			{
				while (!res.received(res.results()-1));
				System.out.println("4 + 5 = "+res.intValue(res.results()-1));
			}

			res = MatheCI.foobar_rr();

			if (res==null)
				System.out.println("No rResult!");
			else
			{
				while (!res.received(res.results()-1));
				System.out.println(res.StringValue(res.results()-1));
			}
		}
	}
}
