package NCLib;

import java.io.*;
import java.util.*;

public class Files
{
	public static String readAll (String fname)
	{
		StringBuffer ret = new StringBuffer();
		BufferedReader inp = null;
		
		try
		{
			FileReader reader = new FileReader(fname);
			inp = new BufferedReader(reader);
			
			String buf = "";
			do
			{
				if (!buf.equals(""))
					ret.append(buf+"\n");
				buf = inp.readLine();
			} while (buf != null);
		} 
		catch (Exception e) {}
		finally
		{
			if (inp != null)
			{
				try
				{
					inp.close();
				}
				catch (Exception e) {}
			}
		}
		return ret.toString();
	}

	public static void writeAll (String fname, String content)
	{
		BufferedWriter out = null;
		
		try
		{
			FileWriter writer = new FileWriter(fname);
			out = new BufferedWriter(writer);
			out.write(content);
		}
		catch (Exception e) {}
		finally
		{
			if (out != null)
			{
				try
				{
					out.close();
				}
				catch (Exception e) {}
			}
		}
	}

	public static void mkdirOrDie (String dirname)
	{
		if (!new File(dirname).mkdir())
		{
			System.out.println(dirname+": Could not create directory.");
			System.exit(20);
		}
	}

	public static void symlink (String src, String dest)
	{
		try
		{
			Process.exec("ln -s "+src+" "+dest);
		}
		catch (Exception e) {}
	}

	public static void main (String[] args)
	{
		String in = readAll("data/test.tmpl");
		writeAll("/tmp/test", in);
	}
}
