package NCLib;

import java.io.*;

public class Process
{
	/** Execute a command (system() equivalent)
	 * @param cmd The command to execute
	 * @return Everything that was written to stdout and stderr by the
	 * 	executed process
	 */
	public static String exec (String cmd) throws IOException
	{
		Runtime rt = Runtime.getRuntime();
		java.lang.Process proc = rt.exec(cmd);
		
		InputStream in = proc.getInputStream();
		InputStreamReader read = new InputStreamReader(in);
		BufferedReader rd = new BufferedReader(read);
		InputStream in2 = proc.getErrorStream();
		InputStreamReader read2 = new InputStreamReader(in2);
		BufferedReader rd2 = new BufferedReader(read2);
		
		try
		{
			proc.waitFor();
		}
		catch (Exception e) 
		{
			e.printStackTrace();
		}

		StringBuffer buf = new StringBuffer();
		while (rd.ready())
			buf.append(rd.readLine()+"\n");
		while (rd2.ready())
			buf.append(rd2.readLine()+"\n");
		
		return buf.toString();
	}
}
