package Test.nio;

import java.io.*;
import java.net.*;

/** Old IO test server */
public class Server
{
	public static void main (String[] args)
	{
		try
		{
			ServerSocket s = new ServerSocket(1337, 1);
			while (true)
			{
				Socket sock = s.accept();
				
				BufferedReader read = new BufferedReader(
					new InputStreamReader(sock.getInputStream()));
				BufferedWriter write = new BufferedWriter(
					new OutputStreamWriter(sock.getOutputStream()));
				String line = null;

				try
				{
					line = read.readLine();
					System.out.println(line+sock.getRemoteSocketAddress());
					write.write(line, 0, line.length());
				}
				catch (Exception e)
				{
					e.printStackTrace();
				}

				write.flush();
				sock.close();
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
