import CTL.*;
import java.util.Random;

public class Local
{
	private final static int calls = 20;
	
	public static int add (int a, int b)
	{
		return a+b;
	}

	public static void main (String[] args)
	{
		Random r = new Random();
		long total = 0;
		int a, b, c;

		for (int i=0;i<calls;i++)
		{
			Timer t = new Timer();
			a = r.nextInt(10000);
			b = r.nextInt(10000);
			c = add(a, b);
			total += t.stop();
		}

		System.out.println("\nAverage time per call: "+
			Timer.timestr(total/calls)+" seconds.");
	}
}
