package CTL;

import CTL.Types.*;

import java.io.*;
import java.lang.reflect.*;

/** Derive from this class for easier serialized size calculation */
public abstract class Measure 
{
	/** Size of this object if it would be serialized
	 * @return Size
	 */
	public final int size () throws IOException, IllegalAccessException,
		InvocationTargetException, CTLException
	{
		return RUtil.objSize(this);
	}
}
