package Example;

import CTL.Types.*;
import Impl.Types.*;
import javaSys.*;

/** Sample client */
public class Client3
{
	public static void main (String args[])
	{
		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc, args);
		
			/*AddCI.use(proc);
			AddCI test = new AddCI();*/
			
			CTestCI.use(proc);
			System.out.println("Test: "+CTestCI.system("ls"));
			CTestCI test = new CTestCI();
			System.out.println("3 + 4 = "+test.add(3, 4));

			CallByReferenceCI.use(proc);
			CallByReferenceCI cbr = new CallByReferenceCI();
			MyRef ref = new MyRef(3, "foo");
			System.out.println(ref);
			ref = cbr.test(ref);
			System.out.println(ref);
		}
	}
}
