package Test;

import CTL.*;
import Impl.*;

public class PiSimpleNoCTL
{
	/* Test results on Lenin
	 * 		C version (2 threads):			 1.250 sec
	 * 		Java version:					 1.366 sec
	 * 		CTL4j local version:			 1.392 sec
	 * 		CTL4j remote on localhost:		18.086 sec
	 * 		[...]
	 */

	public static void main (String[] args)
	{
		int iterations = Example.Client14.iterations, step = Example.Client14.step;
		double w = 1.0/iterations;
		double sum = 0;
		
		CTL.Timer t = new CTL.Timer();
		sum = w * PiSimple.calc(w, 0, iterations);
		t.stop();
		System.out.println("Pi = "+sum+"\t("+t+" sec)");

		t = new CTL.Timer();
		sum = 0;
		for (int i = 0; i < iterations; i+=step)
			sum += PiSimple.calc(w, i, step);
		sum = w * sum;
		t.stop();
		System.out.println("Pi = "+sum+"\t("+t+" sec)");
	}
}
